.achievement-div {
	border: 1px solid #DDD;
	border-radius: 5px;
	box-shadow: 2px 8px 4px -6px hsla(0,0%,0%,.3);
	display: inline-block;
	padding: 25px;
}

.achievement-header {
	margin-top: 25px;
	padding-top: 25px;
}

.achievement-div img {
	width: 100px;
	height: 100px;
	border-radius: 50%;
	padding: 5px;
}

.achievement-div .title {
	text-align: center;
}

.achievement-div.attained {
}

.achievement-div.unattained {
	opacity: 0.25;
}

.chapter-commentRow {
	margin-bottom: 20px;
}

.container-header.sketch-header {
	background-color: #007CDC;
	background-image: linear-gradient(135deg,#007CDC,#007CDC,#A6C7F2);
}

.container-header.sketch-header .navbar-brand {
	font-size: 1rem;
}

.irtext {
	color: #667;
}

/* Facebook Specific */
.facebook-btn {
	background-color: #1877F2; /* Facebook Blue */
	color: white;
	border: 1px solid #1877F2;
	display: inline-flex; /* Aligns icon and text */
	align-items: center;
	padding: 10px 20px;
	border-radius: 5px;
	font-weight: bold;
	text-decoration: none; /* For `<a>` tags */
	cursor: pointer;
	transition: opacity 0.2s; /* Smooth hover */
}
.facebook-btn:hover {
	opacity: 0.9;
}

/* Icon Spacing */
.facebook-btn i {
	margin-right: 10px;
	font-size: 18px;
}

.feed-item-outer {
	border: 2px solid #eee;
	border-radius: 10px;
	margin-top: 15px;
	padding: 10px;
}

.feed-reply-count {
	color: var(--link-color);
	cursor: pointer;
	float:right;
	text-decoration: underline;
}

.forum-column-date {
	display: flex;
	align-items: center;
	font-size: 0.75rem;
	justify-content: right;
}

.forum-column-username {
	font-size: 0.8em;
	text-decoration: none;
}

.forum-description {
	font-size: small;
	margin-left: 5px;
}

.forum-edit-link {
	color: #FFF;
}

.forum-empty {
	color: #888;
}

.forum-flag-button-choice {
	margin-right: 5px;
}

.forum-flag-chosen {
	background-color: #EEF;
}

.forum-group-legend {
	background-image: linear-gradient(135deg,#FF8080,#FF8080,#FF8080,#FDD);
	border-radius: 3px;
	color: #FFF;
	font-size: 1.25em;
	font-weight: 900;
	padding: 3px;
}

.forum-group-outer {
	margin-bottom: 15px;
}

.forum-main-link {
	font-weight: 600;
	text-decoration: none;
}

.forum-name-content-divide {
	background-image: linear-gradient(135deg,#FDD,#FDD,#FFF,#FFF);
	height: 2px;
}

.forum-private-user-delete-button {
	border: 1px solid black;
	background-color: white;
	display: inline-block;
	position: absolute;
	top: -5px;
	left: -5px;
	padding: 2px;
}

.forum-quote {
	border-color: #FDD;
	border-style: none none none solid;
	border-width: 2px;
	margin-left: 20px;
}

.forum-quote-content {
	padding-left: 5px;
}

.forum-quote-user {
	background-image: linear-gradient(135deg,#FDD,#FDD,#FFF,#FFF);
}

.forum-row-action-button {
	border-color: #DDD;
	border-style: none solid solid solid;
	border-width: 1px;
	padding: 0px 7px 2px 7px;
}

.forum-row-actions {
	color: #777;
	font-size: 0.7em;
}

.forum-row-outer {
	border: 1px solid #DDD;
	border-radius: 5px;
	margin-top: 15px;
	padding: 10px;
}

.forum-sub-form {
	margin-left: 5px;
}

.forum-subscribe-button {
	background-color: #6f0a0a;
	border-radius: 5px;
	color: white;
	float: right;
	margin-top: 5px;
	padding: 5px 10px 5px 10px;
}

.forum-subscribe-list {
	list-style-type: none;
	padding: 0;
}

.forum-subscribe-list li {
	overflow-x: hidden;
	padding-left:0px;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.forum-subscribe-list li:hover {
	background-color: #eee;
}

.forum-subscribe-list a {
	text-decoration: none;
}

.forum-title {
	font-size: 1.4em;
}

.login-arrow {
	margin-left: 50%;
}

.login-leading-gap {
	height: 100px;
}

.login-half-gap {
	height: 50px;
}


.login-inner-gap {
	height: 100px;
}

.login-provider-list {
	margin-top: 150px;
}

.profile-image-large {
	width: 100%;
}

.profile-info-row {
	padding-top: 12px;
}

.profile-legend {
	display: flex;
	justify-content: right;
}

.skbutton {
	background:transparent;
	padding:0.5rem 0.5rem;
	margin:0 0.5rem;
	font-size:1rem;
	border-top-left-radius: 255px 15px;
	border-top-right-radius: 15px 225px;
	border-bottom-right-radius: 225px 15px;
	border-bottom-left-radius:15px 255px;
	text-decoration: none;
	color: black;
	width: 170px;
}

.skbutton.small {
	padding:0.25rem 0.25rem;
}

.skbutton-gap-medium {
	display: inline-block;
	width: 40px;
}

.skbutton-icon {
	width: 20px;
}

.skbutton:hover{
	box-shadow:2px 8px 4px -6px hsla(0,0%,0%,.3);
}
.skbutton.lined.thick{
	border:solid 3px #41403E;
}
.skbutton.dotted.thick{
	border:dotted 3px #41403E;
}
.skbutton.dashed.thick{
	border:dashed 3px #41403E;
}
.skbutton.lined.thin{
	border:solid 2px #41403E;
}
.skbutton.dotted.thin{
	border:dotted 2px #41403E;
}
.skbutton.dashed.thin{
	border:dashed 2px #41403E;
}

.skbutton.thick.disabled{
	border-color: #CCC;
}

/*New: We need non-fixed-width buttons for better layout scaling */

.skbutton-v2 {
	background:transparent;
	padding:0.5rem 0.5rem;
	margin:0 0.5rem;
	font-size:1rem;
	border-top-left-radius: 255px 15px;
	border-top-right-radius: 15px 225px;
	border-bottom-right-radius: 225px 15px;
	border-bottom-left-radius:15px 255px;
	text-decoration: none;
	color: black;
}

.skbutton-v2:hover{
	box-shadow:2px 8px 4px -6px hsla(0,0%,0%,.3);
}
.skbutton-v2.lined.thick{
	border:solid 3px #41403E;
}
.skbutton-v2.dotted.thick{
	border:dotted 3px #41403E;
}
.skbutton-v2.dashed.thick{
	border:dashed 3px #41403E;
}
.skbutton-v2.lined.thin{
	border:solid 2px #41403E;
}
.skbutton-v2.dotted.thin{
	border:dotted 2px #41403E;
}
.skbutton-v2.dashed.thin{
	border:dashed 2px #41403E;
}

.skr-container-left {

}

.skr-container-row {
	margin-top: 6px;
}

.skrDataEntryRow {
	padding-bottom: 10px;
	padding-top: 10px;
}

.skrDataEntryRow .legend {
	display: flex;
	align-items: center;
}

.skr-vertical-gap-small {
	height: 20px;
}

.skr-vertical-gap-medium {
	height: 50px;
}

.toggle-editor {
    display: none;
}

.user-account-close-div .row {
	padding-bottom: 40px;
}

.user-handle-marker {
	color: #C00;
	font-size: 1.25em;
}

.user-handle-marker-ns {
	color: #C00;
	/*white-space: nowrap;*/
}

.user-handle-span {
	white-space: nowrap;
}

.user-mention {
	background-color: #D3E6FF;
	border-radius: 2px;
	contenteditable: false;
	padding: 2px;
}

.user-mention-image-part {
	align-items: top;
	display: flex;
}

.user-mention-image-part img {
	width: 50px;
	height: 50px;
	border-radius: 50%;
	padding: 5px;
}

.user-mention-text-part {
	display: inline-block;
}

.user-profile-link {
	text-decoration: none;
}

.user-role-button {
	border: 1px solid #DDD;
	padding: 0px 7px 2px 7px;
}

.user-role-marker {
	color: #999;
	font-size: 0.75rem;
	font-weight: 600;
}

.volume-chapter-comment {
	background-color: #D3E6FF;
	display: inline-block;
	margin-bottom: 5px;
	margin-left: 5px;
	min-height: 70px;
	min-width: 150px;
}

.volume-chapter-comment-user {
	background-color: #2B568E;
	color: #FFF;
	font-size: 0.75rem;
	padding-left: 5px;
}

.volume-chapter-comment-content {
	font-size: 0.8rem;
	padding-left: 5px;
	padding-right: 5px;
}

.volume-chapter-list .volume-chapter-column {
	padding-left: 15px;
	padding-right: 15px;
	text-align: center;
}

.volume-chapter-list td,th {
	border: 2px solid #ddd;
}

.volume-chapter-list td {
	color: #555;
	padding-left: 5px;
	padding-right: 5px;
}

.volume-chapter-list th {
	color: #888;
	padding-left: 5px;
	padding-right: 5px;
}

.volume-chapter-list-search-span {
	color: #888;
	float: right;
	margin-top: 5px;
	padding: 5px 10px 5px 10px;
}

.volume-chapter-points-good {
	color: #383;
}

.volume-chapter-points-warn {
	color: #F55;
}

.volume-chapter-reply {
	background-color: #D3E6FF;
	display: inline-block;
	margin-bottom: 5px;
	margin-left: 5px;
	min-height: 70px;
	min-width: 150px;
}

.volume-chapter-sidebar-section {
	border: 2px solid #ddd;
	border-radius: 20px;
	margin-top: 10px;
	padding: 10px;
}

.volume-chapter-sidebar-commenter {
	border: 1px solid #888;
	border-radius: 3px;
	box-shadow: 0px 5px 5px 0px hsla(0,0%,0%,.3);
	margin-left: 10px;
	margin-right: 10px;
	margin-top: 10px;
	padding: 10px;
}

.volume-chapter-sidebar-commenter img {
	width: 50px;
	height: 50px;
	border-radius: 50%;
	padding: 5px;
}

.volume-chapter-sidebar-commenter-visible-btn {
	color: #888;
}

.volume-chapter-list-title a {
	text-decoration: none;
}

.volume-chapter-list-selected_span {
	color: #800;
	font-weight: 800;
}

.volume-chapter-view-image-div {
	max-width: 300px;
}

.volume-display-description-block {
	display: flex;
	align-items: top;
}

.volume-display-description-more {
	display: inline-block;
	cursor: pointer;
}

.volume-display-description {
	display: inline-block;
	max-width: 90%;
}

.volume-display-image-div {

}

.volume-display-reduced {
	height: 100px;
	max-height: 100px;
	overflow: hidden;
	text-overflow: ellipsis;
}

.volume-display-stat-block1 {
	padding-left: 15px;
}

.volume-display-title {
	font-size: 1.25rem;
	text-decoration: none;
}

.volume-display-version {
	background-color: #e8e8e8;
}

.volume-image-large1 {
	width: 225px;
	height: 360px;
	max-width: 225px;
	max-height: 360px;
}

.volume-image-medium {

}

.volume-posting-info {
	color: #555;
	white-space: nowrap;
}

.volume-tag-display {
	background-color: #D3E6FF;
	display: inline-block;
	padding: 2px 5px;
}

/* Payment Screen */

.pricing-table tr {
	height: 4em;
	border-bottom: 2px solid #CCF;
}

.pricing-table th {
	border: none;
	border-bottom: 2px solid #009;
	color: #009;
	text-align: center;
}

.pricing-table td:not(:first-child) {
	text-align: center;
}

/* Puzzle Screen (CrossWord) */

.bank-available-letter {
	border: 1px solid #AAA;
	display: inline-block;
	margin-top: 10px;
	min-width: 1.5rem;
	padding: 2px;
	text-align: center;
}

.bank-letters.available-list1 {
	line-height: 2rem;
}

.bank-money-left {
	font-weight: 750;
}

.bank-refresh-span {
	color: #66F;
	float:right;
}

.bank-reset-confirm {
	padding-bottom: 25px;
}

.bank-reset-confirm-text {
	color: #555;
	padding-bottom: 25px;
}

.bank-screen {
	border: 2px solid #AAA;
	border-radius: 5px;
	box-shadow: 0px 5px 5px 0px hsla(0,0%,0%,.3);
	max-width: 250px;
	padding: 20px;
}

.bank-title {
	font-size: 2rem;
}

.buy-letter-confirm {
	margin-bottom: 20px;
	margin-top: 10px;
	text-align: center;
}

#BuyLetterPrompt {
	margin-bottom: 20px;
}

.buy-letter-used {
	background: linear-gradient(
		52deg,
		transparent 46%,
        #AAA 46%,
        #AAA 54%,
		transparent 54%
	)
}